Error running uajm_setup.sh on SUSE x64 Linux

Document ID : KB000019578
Last Modified Date : 14/02/2018
Show Technical Document Details

Description:

32 bit ncurses library is not installed.
Reason: On a 64 bit system the 32 bit library libncurses is necessary.
Action: Please install the ncurses 32 bit package with version >= 5.

The above error can occur when attempting to install AutoSys on SUSE Linux.

Solution:

Often the correct package is installed however the library is located in /lib but the installer is expecting it under /usr/lib.
A quick solution is to create a symbolic link in /usr/lib to the 32 bit library in /lib:
/usr/lib # ln -s /lib/libncurses.so.5.6 libncurses.so.5.6

Note: this can affect the version 11.0 installer as well as the 11.3.x installer.